Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.templates
Class ElemApplyTemplates

    java.lang.Object
      |
      +--weblogic.apache.xml.utils.UnImplNode
            |
            +--weblogic.apache.xalan.templates.ElemTemplateElement
                  |
                  +--weblogic.apache.xalan.templates.ElemForEach
                        |
                        +--weblogic.apache.xalan.templates.ElemCallTemplate
                              |
                              +--weblogic.apache.xalan.templates.ElemApplyTemplates

public class ElemApplyTemplates
extends ElemCallTemplate

Implement xsl:apply-templates.

     &!ELEMENT xsl:apply-templates (xsl:sort|xsl:with-param)*>
     &!ATTLIST xsl:apply-templates
       select %expr; "node()"
       mode %qname; #IMPLIED
     &

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  section-Applying-Template-Rules in XSLT Specification, Serialized Form

Fields inherited from class weblogic.apache.xalan.templates.ElemCallTemplate
`m_paramElems, m_templateName`

Fields inherited from class weblogic.apache.xalan.templates.ElemForEach
`m_doc_cache_off, m_selectExpression, m_sortElems`

Fields inherited from class weblogic.apache.xalan.templates.ElemTemplateElement
`m_docOrderNumber, m_hasVariableDecl, m_parentNode`

Constructor Summary
`ElemApplyTemplates()`

Method Summary
`void` | `compose(StylesheetRoot sroot)` This function is called after everything else has been recomposed, and allows the template to set remaining values that may be based on some other property that depends on recomposition.
`void` | `execute(TransformerImpl transformer)` Apply the context node to the matching templates.
`QName` | `getMode()` Get the mode attribute for this element.
`java.lang.String` | `getNodeName()` Return the node name.
`int` | `getXSLToken()` Get an int constant identifying the type of element.
`void` | `setIsDefaultTemplate(boolean b)` Set if this belongs to a default template, in which case it will act different with regard to processing modes.
`void` | `setMode(QName mode)` Set the mode attribute for this element.
`void` | `transformSelectedNodes(TransformerImpl transformer)` Perform a query if needed, and call transformNode for each child.

Methods inherited from class weblogic.apache.xalan.templates.ElemCallTemplate
`appendChild, endCompose, getName, getParamElem, getParamElemCount, setName, setParamElem`

Methods inherited from class weblogic.apache.xalan.templates.ElemForEach
`getSelect, getSortElem, getSortElemCount, getTemplateMatch, setSelect, setSortElem, sortNodes`

Methods inherited from class weblogic.apache.xalan.templates.ElemTemplateElement
`appendChild, canStripWhiteSpace, compareTo, containsExcludeResultPrefix, error, error, error, getBaseIdentifier, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getFirstChild, getFirstChildElem, getLastChild, getLastChildElem, getLength, getLineNumber, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getNodeType, getOwnerDocument, getParentElem, getParentNode, getParentNodeElem, getPrefixes, getPreviousSibling, getPreviousSiblingElem, getPublicId, getStylesheet, getStylesheetComposed, getStylesheetRoot, getSystemId, getTagName, getUid, getXmlSpace, hasChildNodes, hasTextLitOnly, hasVariableDecl, isCompiledTemplate, isValidNCName, item, recompose, removeChild, replaceChild, replaceChild, resolvePrefixTables, runtimeInit, setDOMBackPointer, setLocaterInfo, setParentElem, setPrefixes, setPrefixes, setUid, setXmlSpace, shouldStripWhiteSpace`

Methods inherited from class weblogic.apache.xml.utils.UnImplNode
`adoptNode, appendData, cloneNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getEncoding, getImplementation, getLocalName, getNamespaceURI, getNodeValue, getOwnerElement, getPrefix, getSpecified, getStandalone, getStrictErrorChecking, getVersion, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertBefore, insertData, isSupported, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceData, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setEncoding, setNodeValue, setPrefix, setStandalone, setStrictErrorChecking, setValue, setVersion, splitText, substringData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElemApplyTemplates

    public ElemApplyTemplates()

Method Detail

### setMode

    public void setMode(QName mode)

  Set the mode attribute for this element.

  Parameters:
    `mode` - reference, which may be null, to the current mode.

### getMode

    public QName getMode()

  Get the mode attribute for this element.

  Returns:
    The mode attribute for this element

### setIsDefaultTemplate

    public void setIsDefaultTemplate(boolean b)

  Set if this belongs to a default template, in which case it will act different with regard to processing modes.

  Parameters:
    `b` - boolean value to set.
  See Also:
    built-in-rule in XSLT Specification

### getXSLToken

    public int getXSLToken()

  Get an int constant identifying the type of element.

  Returns:
    Token ID for this element types
  Overrides:
    getXSLToken in class ElemCallTemplate
  See Also:
    `Constants`

### compose

    public void compose(StylesheetRoot sroot)
                 throws javax.xml.transform.TransformerException

  This function is called after everything else has been recomposed, and allows the template to set remaining values that may be based on some other property that depends on recomposition.

  Overrides:
    compose in class ElemCallTemplate

### getNodeName

    public java.lang.String getNodeName()

  Return the node name.

  Returns:
    Element name
  Overrides:
    getNodeName in class ElemCallTemplate

### execute

    public void execute(TransformerImpl transformer)
                 throws javax.xml.transform.TransformerException

  Apply the context node to the matching templates.

  Parameters:
    `transformer` - non-null reference to the the current transform-time state.
    `sourceNode` - non-null reference to the current source node.
    `mode` - reference, which may be null, to the current mode.
  Throws:
    javax.xml.transform.TransformerException -
  Overrides:
    execute in class ElemCallTemplate
  See Also:
    section-Applying-Template-Rules in XSLT Specification

### transformSelectedNodes

    public void transformSelectedNodes(TransformerImpl transformer)
                                throws javax.xml.transform.TransformerException

  Perform a query if needed, and call transformNode for each child.

  Parameters:
    `transformer` - non-null reference to the the current transform-time state.
    `template` - The owning template context.
  Throws:
    javax.xml.transform.TransformerException - Thrown in a variety of circumstances.
  Overrides:
    transformSelectedNodes in class ElemForEach

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference